with System;
with Win32.WinUser;
with Ada.Unchecked_Conversion;
with Win32.Winbase;
package body Beep_Global is

   function To_LPCSTR is new Ada.Unchecked_Conversion (System.Address, Win32.LPCSTR);

   procedure Can_Close is
      bResult : Win32.BOOL;
   begin
      if (g_cServer=0) and (g_cComponents=0) and (InProcServer/=True) then
         bResult := Win32.Winuser.PostThreadMessage(Win32.Winbase.GetCurrentThreadId, Win32.Winuser.WM_QUIT, 0, 0);
      end if;
   end Can_Close;


   procedure Message_Box ( Title, Message : String) is
      BoxTitle    : Char_Array := To_C(Title);
      BoxMessage  : Char_Array := To_C(Message);
      RetValue : Win32.Int;
   begin
      RetValue:=Win32.WinUser.MessageBox(
                  System.Null_Address,
                  To_LPCSTR(BoxMessage'Address),
                  To_LPCSTR(BoxTitle'Address),
                  Win32.WinUser.MB_YESNO);
   end Message_Box;

end Beep_Global;