with win32.objbase; use win32.objbase;
with interfaces.c; use interfaces.c;

package BeepCom is
   subtype HRESULT is unsigned_long;

   -- Class Beep CoClass
   type Beep_CoClass;

   type af_QueryInterface is access function (
               This     : access Beep_CoClass;
               riid     : REFIID;
               ppvObject: access Win32.PVOID)
              return HRESULT;
   pragma Convention(Stdcall, af_QueryInterface);

   type af_AddRef is access function (
               This: access Beep_CoClass)
              return Win32.ULONG;
   pragma Convention(Stdcall, af_AddRef);

   type af_Release is access function (
               This: access Beep_CoClass)
              return Win32.ULONG;
   pragma Convention(Stdcall, af_Release);

   type af_Beep is access function (
               This: access Beep_CoClass)
              return HRESULT;
   pragma Convention(Stdcall, af_Beep);

   function QueryInterface  (
                This     : access Beep_CoClass;
                riid     : REFIID;
                ppvObject: access Win32.PVOID)
               return HRESULT;
   pragma Convention(Stdcall, QueryInterface);

   function AddRef (
                This: access Beep_CoClass)
               return Win32.ULONG;
   pragma Convention(Stdcall, AddRef);

   function Release (
                This: access Beep_CoClass)
               return Win32.ULONG;
   pragma Convention(Stdcall, Release);

   function Beep (
                This: access Beep_CoClass)
               return HRESULT;
   pragma Convention(Stdcall, Beep);


   type Beep_CoClass_Vtbl is
      record
         QueryInterface: af_QueryInterface := BeepCom.QueryInterface'Access;
         AddRef        : af_AddRef := BeepCom.AddRef'Access;
         Release       : af_Release := BeepCom.Release'Access;
         Beep          : af_Beep := BeepCom.Beep'Access;
      end record;
   pragma Convention(C, Beep_CoClass_Vtbl);

   type Beep_CoClass_Vtbl_Pointer is access all Beep_CoClass_Vtbl;

   Vtbl : aliased Beep_CoClass_Vtbl;

   type Beep_CoClass is
      record
         lpVtbl : Beep_CoClass_Vtbl_Pointer := Vtbl'Access;
         m_cRef : Win32.ULONG := 1;
      end record;
   pragma Convention(C, Beep_CoClass);

   type Beep_CoClass_Pointer is access all Beep_CoClass;

end BeepCom;