with win32.objbase; use win32.objbase;
with interfaces.c; use interfaces.c;

package Beep_Global is

   -- Global variables for COM to determine when to unload
   g_cComponents : aliased long :=0;
   g_cServer : aliased long :=0;
   InProcServer : Boolean := True;

   -- Type library ID for our COM Object
   LIBID_BeepLibrary : aliased IID := (16#0FE0EE20#,16#8AA2#,16#11d2#,
                        (Char'Val(16#81#),Char'Val(16#AA#),Char'Val(16#44#),
                         Char'Val(16#45#),Char'Val(16#53#),Char'Val(16#54#),
                         Char'Val(16#00#),Char'Val(16#01#)) );

   -- Class ID of COM object to be created
   CLSID_BeepClass   : aliased CLSID := (16#0FE0EE21#,16#8AA2#,16#11d2#,
                        (Char'Val(16#81#),Char'Val(16#AA#),Char'Val(16#44#),
                         Char'Val(16#45#),Char'Val(16#53#),Char'Val(16#54#),
                         Char'Val(16#00#),Char'Val(16#01#)) );

   -- IID for IBeep
   IID_IBeep         : aliased IID := (16#0FE0EE22#,16#8AA2#,16#11d2#,
                        (Char'Val(16#81#),Char'Val(16#AA#),Char'Val(16#44#),
                         Char'Val(16#45#),Char'Val(16#53#),Char'Val(16#54#),
                         Char'Val(16#00#),Char'Val(16#01#)) );


   -- IID for IUnkown
   IID_IUnknown      : aliased IID := (16#00000000#,16#0000#,16#0000#,
                        (Char'Val(16#C0#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#46#)) );

   -- IID for IUnkown
   IID_IClassFactory : aliased IID := (16#00000001#,16#0000#,16#0000#,
                        (Char'Val(16#C0#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#00#),
                         Char'Val(16#00#),Char'Val(16#46#)) );

   procedure Can_Close;

   procedure Message_Box ( Title, Message : String);

end Beep_Global;